/*
 * @Author: yuananting
 * @Date: 2021-03-11 11:34:37
 * @LastEditors: fusanqiasng
 * @LastEditTime: 2021-06-15 11:25:18
 * @Description: 助学工具接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import {
  queryExternalCategoryTree,
  queryCategoryTree,
  addCategory,
  delCategory,
  editCategory,
  moveCategoryTree,
  addQuestion,
  queryQuestionPageList,
  deleteQuestion,
  queryQuestionDetails,
  editQuestion,
  batchImport,
  createPaper,
  queryPaperPageList,
  deletePaper,
  queryPaperDetail,
  viewPaper,
  editPaper,
  batchQueryQuestionDetails,
  queryQuestionPageListWithContent,
} from '@/data-source/aidTool/request-apis';
export default class AidToolService {
  /**
   * 查询运营端分类书
   * @param parmas
   * @returns
   */
  static queryExternalCategoryTree(parmas: any) {
    return queryExternalCategoryTree(parmas);
  }

  // 获取题目分类树
  static queryCategoryTree(params: any) {
    return queryCategoryTree(params);
  }

  // 新增题目分类
  static addCategory(params: any) {
    return addCategory(params);
  }

  // 删除分类
  static delCategory(params: any) {
    return delCategory(params);
  }

  // 编辑分类
  static editCategory(params: any) {
    return editCategory(params);
  }

  // 拖拽移动分类树
  static moveCategoryTree(params: any) {
    return moveCategoryTree(params);
  }

  // 查询题目列表
  static queryQuestionPageList(params: any) {
    return queryQuestionPageList(params);
  }

  // 添加题目
  static addQuestion(params: any) {
    return addQuestion(params);
  }

  // 删除题目
  static deleteQuestion(params: any) {
    return deleteQuestion(params);
  }

  // 预览题目
  static queryQuestionDetails(params: any) {
    return queryQuestionDetails(params);
  }

  // 编辑题目
  static editQuestion(params: any) {
    return editQuestion(params);
  }

  // 批量导入
  static batchImport(params: any) {
    return batchImport(params);
  }

  // 创建试卷
  static createPaper(params: any) {
    return createPaper(params);
  }

  // 查询试卷列表
  static queryPaperPageList(params: any) {
    return queryPaperPageList(params);
  }

  // 删除试卷
  static deletePaper(params: any) {
    return deletePaper(params);
  }

  // 编辑前查询试卷信息
  static queryPaperDetail(params: any) {
    return queryPaperDetail(params);
  }

  // 预览试卷
  static viewPaper(params: any) {
    return viewPaper(params);
  }

  // 编辑试卷
  static editPaper(params: any) {
    return editPaper(params);
  }

  // 操作试卷-预览查询多题目信息
  static batchQueryQuestionDetails(params: any) {
    return batchQueryQuestionDetails(params);
  }

  // 操作试卷-选择题目列表带题目详情
  static queryQuestionPageListWithContent(params: any) {
    return queryQuestionPageListWithContent(params);
  }
}
